View unanswered posts    View active topics

All times are UTC - 6 hours





Post new topic Reply to topic  [ 3 posts ] 
Print view Previous topic   Next topic  
Author Message
Search for:
 Post subject: Apt hates me
PostPosted: Mon Dec 03, 2007 9:56 pm 
Offline
Joined: Sun Sep 09, 2007 5:58 pm
Posts: 17
I recently started having timezone problems -- everything records correctly, but the display is in UTC everywhere I go. I was at a loss -- I renamed my /etc/localtime and soft-linked to /usr/share/zoneinfo/EST instead, but that didn't fix it. At this point, somebody mentioned that zoneinfo comes as part of glibc, and a bell went off -- I tried to install some utility or other a while back, and apt couldn't figure out how to upgrade my libc6 package. I didn't pursue it further, because my system didn't *look* broken at that point, and the utility (whatever it was) wasn't that important.

Now, we come to this:

Code:
root@mythtv:~# apt-get install -f
Reading package lists... Done
Building dependency tree... Done
Correcting dependencies... Done
The following extra packages will be installed:
  binutils dpkg dpkg-dev libc6-dev
Suggested packages:
  binutils-doc lzma debian-keyring glibc-doc manpages-dev
The following packages will be upgraded:
  binutils dpkg dpkg-dev libc6-dev
4 upgraded, 0 newly installed, 0 to remove and 720 not upgraded.
2 not fully installed or removed.
Need to get 0B/8527kB of archives.
After unpacking 1401kB of additional disk space will be used.
Do you want to continue [Y/n]? y
(Reading database ... 89426 files and directories currently installed.)
Preparing to replace binutils 2.17-3 (using .../binutils_2.18.1~cvs20071027-1_i386.deb) ...
Unpacking replacement binutils ...
dpkg: error processing /var/cache/apt/archives/binutils_2.18.1~cvs20071027-1_i386.deb (--unpack):
 trying to overwrite `/usr/bin/ld', which is also in package libxine1
dpkg-deb: subprocess paste killed by signal (Broken pipe)
dpkg: regarding .../libc6-dev_2.7-1_i386.deb containing libc6-dev:
 libc6-dev conflicts with binutils (<< 2.17cvs20070426-1)
  binutils (version 2.17-3) is installed.
dpkg: error processing /var/cache/apt/archives/libc6-dev_2.7-1_i386.deb (--unpack):
 conflicting packages - not installing libc6-dev
Errors were encountered while processing:
 /var/cache/apt/archives/binutils_2.18.1~cvs20071027-1_i386.deb
 /var/cache/apt/archives/libc6-dev_2.7-1_i386.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)


OK, what jumps out at me is that this is one of those dependency nightmares apt sucks at resolving. I'm not sure how to fix this -- can I force it to roll back to an earlier, more compatible version of everything? Can I manually upgrade these packages one at a time? I had this happen a few times in the past, but I just let it slide until the next full system upgrade. I'd like to learn how to actually fix it...


Top
 Profile  
 
 Post subject:
PostPosted: Tue Dec 04, 2007 12:55 am 
Offline
Joined: Fri Jan 12, 2007 9:55 pm
Posts: 47
Location: Brisbane, Queensland
Also, have a look at What to do when apt-get fails (linux.com). I think you're up to step three - try install the broken packages one at a time, or try install particular versions.

You could try using 'aptitude' instead of apt. It is sometimes a bit smarter when it comes to resolving dependencies and may offer you some ways around the conflict.

_________________
My Ziki


Top
 Profile  
 
 Post subject:
PostPosted: Fri Mar 21, 2008 6:03 pm 
Offline
Joined: Sun Sep 09, 2007 5:58 pm
Posts: 17
Wow, better late than never, but I do want to make sure I tell you your link helped. I ended up tinkering with Aptitude until I could uninstall my problem package, which turned out to be a UPnP server package I had forgotten about (and whose name now escapes me). Back at my old libc version, all is well -- it was like magic!


Top
 Profile  
 

Display posts from previous:  Sort by  
Post new topic Reply to topic  [ 3 posts ] 


All times are UTC - 6 hours




Who is online

Users browsing this forum: No registered users and 8 guests


You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot post attachments in this forum

Jump to:  
Powered by phpBB® Forum Software © phpBB Group

Theme Created By ceyhansuyu